summaryrefslogtreecommitdiff
path: root/postfix/cron.weekly
diff options
context:
space:
mode:
authorroot <root@homebase.dk>2009-05-07 12:38:28 +0200
committerroot <root@homebase.dk>2009-05-07 12:38:28 +0200
commit5c77354ed123874f634332042dd2074d955d6818 (patch)
treebc087305d146bd6b86616f04546af6d3b905e03d /postfix/cron.weekly
parentfff01fe0db15da361ca8579b4aebfa009f77e9e4 (diff)
Fix typo in dirname: cron.weekky → cron.weekly.
Diffstat (limited to 'postfix/cron.weekly')
-rwxr-xr-xpostfix/cron.weekly/local-purgeoldtrashedmails9
1 files changed, 9 insertions, 0 deletions
diff --git a/postfix/cron.weekly/local-purgeoldtrashedmails b/postfix/cron.weekly/local-purgeoldtrashedmails
new file mode 100755
index 0000000..7674508
--- /dev/null
+++ b/postfix/cron.weekly/local-purgeoldtrashedmails
@@ -0,0 +1,9 @@
+#!/bin/sh
+#
+# Purge trashed mails older than 2 months
+
+set -e
+
+find /home/*/Maildir/.Trash /home/*/Maildir/.Trash.* /home/*/Maildir/.INBOX_Trash /home/*/Maildir/.trash /home/*/Maildir/.Deleted\ Messages /home/*/Maildir/.Deleted\ Items /home/*/Maildir/.Slettet\ post -type f -mtime +60 -exec rm -f '{}' ';'
+
+exit 0